(function(root, factory) {
  if (typeof define === 'function' && define.amd) 
    define(['exports', 'kotlin', 'ktor-ktor-resources-js-legacy', 'ktor-ktor-utils-js-legacy', 'ktor-ktor-client-core-js-legacy'], factory);
  else if (typeof exports === 'object') 
    factory(module.exports, require('kotlin'), require('ktor-ktor-resources-js-legacy'), require('ktor-ktor-utils-js-legacy'), require('ktor-ktor-client-core-js-legacy'));
  else {
    if (typeof kotlin === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-client-resources-js-legacy'. Its dependency 'kotlin' was not found. Please, check whether 'kotlin' is loaded prior to 'ktor-ktor-client-resources-js-legacy'.");
    }
    if (typeof this['ktor-ktor-resources-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-client-resources-js-legacy'. Its dependency 'ktor-ktor-resources-js-legacy' was not found. Please, check whether 'ktor-ktor-resources-js-legacy' is loaded prior to 'ktor-ktor-client-resources-js-legacy'.");
    }
    if (typeof this['ktor-ktor-utils-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-client-resources-js-legacy'. Its dependency 'ktor-ktor-utils-js-legacy' was not found. Please, check whether 'ktor-ktor-utils-js-legacy' is loaded prior to 'ktor-ktor-client-resources-js-legacy'.");
    }
    if (typeof this['ktor-ktor-client-core-js-legacy'] === 'undefined') {
      throw new Error("Error loading module 'ktor-ktor-client-resources-js-legacy'. Its dependency 'ktor-ktor-client-core-js-legacy' was not found. Please, check whether 'ktor-ktor-client-core-js-legacy' is loaded prior to 'ktor-ktor-client-resources-js-legacy'.");
    }
    root['ktor-ktor-client-resources-js-legacy'] = factory(typeof this['ktor-ktor-client-resources-js-legacy'] === 'undefined' ? {} : this['ktor-ktor-client-resources-js-legacy'], kotlin, this['ktor-ktor-resources-js-legacy'], this['ktor-ktor-utils-js-legacy'], this['ktor-ktor-client-core-js-legacy']);
  }
}(this, function(_, Kotlin, $module$ktor_ktor_resources_js_legacy, $module$ktor_ktor_utils_js_legacy, $module$ktor_ktor_client_core_js_legacy) {
  'use strict';
  var $$importsForInline$$ = _.$$importsForInline$$ || (_.$$importsForInline$$ = {});
  var Resources = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.Resources;
  var Resources$Configuration = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.Resources.Configuration;
  var AttributeKey = $module$ktor_ktor_utils_js_legacy.io.ktor.util.AttributeKey;
  var Kind_OBJECT = Kotlin.Kind.OBJECT;
  var HttpClientPlugin = $module$ktor_ktor_client_core_js_legacy.io.ktor.client.plugins.HttpClientPlugin;
  var defineInlineFunction = Kotlin.defineInlineFunction;
  var wrapFunction = Kotlin.wrapFunction;
  var COROUTINE_SUSPENDED = Kotlin.kotlin.coroutines.intrinsics.COROUTINE_SUSPENDED;
  var CoroutineImpl = Kotlin.kotlin.coroutines.CoroutineImpl;
  var Unit = Kotlin.kotlin.Unit;
  var plugin = $module$ktor_ktor_client_core_js_legacy.io.ktor.client.plugins.plugin_dd3wyz$;
  var IllegalStateException_init = Kotlin.kotlin.IllegalStateException_init_pdl1vj$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = $module$ktor_ktor_client_core_js_legacy.io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = $module$ktor_ktor_client_core_js_legacy.$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = $module$ktor_ktor_client_core_js_legacy.io.ktor.client.statement.HttpStatement;
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function Resources_0() {
    Resources_instance = this;
    this.key_9qfi70$_0 = new AttributeKey('Resources');
  }
  Object.defineProperty(Resources_0.prototype, 'key', {
  configurable: true, 
  get: function() {
  return this.key_9qfi70$_0;
}});
  Resources_0.prototype.prepare_oh3mgy$$default = function(block) {
  var $receiver = new Resources$Configuration();
  block($receiver);
  var config = $receiver;
  return new Resources(config);
};
  Resources_0.prototype.install_wojrb5$ = function(plugin, scope) {
};
  Resources_0.$metadata$ = {
  kind: Kind_OBJECT, 
  simpleName: 'Resources', 
  interfaces: [HttpClientPlugin]};
  var Resources_instance = null;
  function Resources_getInstance() {
    if (Resources_instance === null) {
      new Resources_0();
    }
    return Resources_instance;
  }
  var href_0 = defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.href_ysdg2i$', wrapFunction(function() {
  var resources = _.io.ktor.client.plugins.resources;
  var get = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.plugins.get_dd3wyz$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var URLBuilder_init = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.URLBuilder;
  var get_fullPath = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.get_fullPath_5y8s0c$;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(T_0, isT, $receiver, resource) {
  var resourcesFormat = get($receiver, resources.Resources).resourcesFormat;
  var urlBuilder = new URLBuilder_init();
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  return get_fullPath(urlBuilder.build());
};
}));
  var href_1 = defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.href_g3kna$', wrapFunction(function() {
  var resources = _.io.ktor.client.plugins.resources;
  var get = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.plugins.get_dd3wyz$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(T_0, isT, $receiver, resource, urlBuilder) {
  var resourcesFormat = get($receiver, resources.Resources).resourcesFormat;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
};
}));
  function get$lambda($receiver) {
    return Unit;
  }
  var get$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function post$lambda($receiver) {
    return Unit;
  }
  var post$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function put$lambda($receiver) {
    return Unit;
  }
  var put$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function delete$lambda($receiver) {
    return Unit;
  }
  var delete$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function options$lambda($receiver) {
    return Unit;
  }
  var options$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function head$lambda($receiver) {
    return Unit;
  }
  var head$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  var request$lambda = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function prepareGet$lambda($receiver) {
    return Unit;
  }
  var prepareGet$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function preparePost$lambda($receiver) {
    return Unit;
  }
  var preparePost$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function preparePut$lambda($receiver) {
    return Unit;
  }
  var preparePut$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function prepareDelete$lambda($receiver) {
    return Unit;
  }
  var prepareDelete$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function prepareOptions$lambda($receiver) {
    return Unit;
  }
  var prepareOptions$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function prepareHead$lambda($receiver) {
    return Unit;
  }
  var prepareHead$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function prepareRequest$lambda($receiver) {
    return Unit;
  }
  var prepareRequest$lambda_0 = wrapFunction(function() {
  var href = $module$ktor_ktor_resources_js_legacy.io.ktor.resources.href_vs4ohm$;
  var serializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = $module$ktor_ktor_resources_js_legacy.$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  function Coroutine$get(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$get.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$get.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$get.prototype.constructor = Coroutine$get;
  Coroutine$get.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = get$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Get;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function get_0(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$get(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.get_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function get$lambda($receiver) {
    return Unit;
  }
  var get$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = get$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Get;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$post(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$post.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$post.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$post.prototype.constructor = Coroutine$post;
  Coroutine$post.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = post$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Post;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function post(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$post(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.post_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function post$lambda($receiver) {
    return Unit;
  }
  var post$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = post$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Post;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$put(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$put.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$put.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$put.prototype.constructor = Coroutine$put;
  Coroutine$put.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = put$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Put;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function put(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$put(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.put_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function put$lambda($receiver) {
    return Unit;
  }
  var put$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = put$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Put;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$delete(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$delete.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$delete.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$delete.prototype.constructor = Coroutine$delete;
  Coroutine$delete.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = delete$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Delete;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function delete_0(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$delete(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.delete_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function delete$lambda($receiver) {
    return Unit;
  }
  var delete$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = delete$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Delete;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$options(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$options.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$options.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$options.prototype.constructor = Coroutine$options;
  Coroutine$options.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = options$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Options;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function options(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$options(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.options_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function options$lambda($receiver) {
    return Unit;
  }
  var options$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = options$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Options;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$head(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$head.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$head.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$head.prototype.constructor = Coroutine$head;
  Coroutine$head.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        if (this.local$builder === void 0) 
          this.local$builder = head$lambda;
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        $receiver_1_0.method = HttpMethod.Companion.Head;
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function head(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$head(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.head_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function head$lambda($receiver) {
    return Unit;
  }
  var head$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = head$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Head;
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function Coroutine$request(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0) {
    CoroutineImpl.call(this, continuation_0);
    this.exceptionState_0 = 1;
    this.local$T_0 = T_0_0;
    this.local$$receiver = $receiver_0;
    this.local$resource = resource_0;
    this.local$builder = builder_0;
  }
  Coroutine$request.$metadata$ = {
  kind: Kotlin.Kind.CLASS, 
  simpleName: null, 
  interfaces: [CoroutineImpl]};
  Coroutine$request.prototype = Object.create(CoroutineImpl.prototype);
  Coroutine$request.prototype.constructor = Coroutine$request;
  Coroutine$request.prototype.doResume = function() {
  do try {
    switch (this.state_0) {
      case 0:
        var resources_1 = resources(this.local$$receiver);
        var $receiver_1_0 = new HttpRequestBuilder_init();
        var resourcesFormat_0 = resources_1.resourcesFormat;
        var urlBuilder_0 = $receiver_1_0.url;
        var tmp$_0;
        var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(this.local$T_0)), KSerializer) ? tmp$_0 : throwCCE();
        href(resourcesFormat_0, serializer_0_0, this.local$resource, urlBuilder_0);
        this.local$builder($receiver_1_0);
        this.state_0 = 2;
        this.result_0 = (new HttpStatement_init($receiver_1_0, this.local$$receiver)).execute(this);
        if (this.result_0 === COROUTINE_SUSPENDED) 
          return COROUTINE_SUSPENDED;
        continue;
      case 1:
        throw this.exception_0;
      case 2:
        this.result_0;
        return this.result_0;
      default:
        this.state_0 = 1;
        throw new Error('State Machine Unreachable execution');
    }
  }  catch (e) {
  if (this.state_0 === 1) {
    this.exceptionState_0 = this.state_0;
    throw e;
  } else {
    this.state_0 = this.exceptionState_0;
    this.exception_0 = e;
  }
} while (true);
};
  function request(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0, suspended) {
    var instance = new Coroutine$request(T_0_0, isT_0, $receiver_0, resource_0, builder_0, continuation_0);
    if (suspended) 
      return instance;
    else 
      return instance.doResume(null);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.request_pdkz2f$', wrapFunction(function() {
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  var request$lambda = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  Kotlin.suspendCall((new HttpStatement_init($receiver_1_0, $receiver)).execute(Kotlin.coroutineReceiver()));
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function prepareGet(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = prepareGet$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Get;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.prepareGet_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function prepareGet$lambda($receiver) {
    return Unit;
  }
  var prepareGet$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = prepareGet$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Get;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function preparePost(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = preparePost$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Post;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.preparePost_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function preparePost$lambda($receiver) {
    return Unit;
  }
  var preparePost$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = preparePost$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Post;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function preparePut(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = preparePut$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Put;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.preparePut_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function preparePut$lambda($receiver) {
    return Unit;
  }
  var preparePut$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = preparePut$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Put;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function prepareDelete(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = prepareDelete$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Delete;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.prepareDelete_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function prepareDelete$lambda($receiver) {
    return Unit;
  }
  var prepareDelete$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = prepareDelete$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Delete;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function prepareOptions(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = prepareOptions$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Options;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.prepareOptions_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function prepareOptions$lambda($receiver) {
    return Unit;
  }
  var prepareOptions$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = prepareOptions$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Options;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function prepareHead(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = prepareHead$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    $receiver_1_0.method = HttpMethod.Companion.Head;
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.prepareHead_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpMethod = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].$$importsForInline$$['ktor-ktor-http-js-legacy'].io.ktor.http.HttpMethod;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function prepareHead$lambda($receiver) {
    return Unit;
  }
  var prepareHead$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = prepareHead$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  $receiver_1_0.method = HttpMethod.Companion.Head;
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function prepareRequest(T_0, isT, $receiver, resource, builder, continuation) {
    if (builder === void 0) 
      builder = prepareRequest$lambda;
    var resources_1 = resources($receiver);
    var $receiver_1_0 = new HttpRequestBuilder_init();
    var resourcesFormat_0 = resources_1.resourcesFormat;
    var urlBuilder_0 = $receiver_1_0.url;
    var tmp$_0;
    var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
    href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
    builder($receiver_1_0);
    return new HttpStatement_init($receiver_1_0, $receiver);
  }
  defineInlineFunction('ktor-ktor-client-resources-js-legacy.io.ktor.client.plugins.resources.prepareRequest_pdkz2f$', wrapFunction(function() {
  var Unit = Kotlin.kotlin.Unit;
  var wrapFunction = Kotlin.wrapFunction;
  var resources = _.io.ktor.client.plugins.resources.resources_ejcypf$;
  var getReifiedTypeParameterKType = Kotlin.getReifiedTypeParameterKType;
  var HttpRequestBuilder_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.request.HttpRequestBuilder;
  var HttpStatement_init = _.$$importsForInline$$['ktor-ktor-client-core-js-legacy'].io.ktor.client.statement.HttpStatement;
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  function prepareRequest$lambda($receiver) {
    return Unit;
  }
  var prepareRequest$lambda_0 = wrapFunction(function() {
  var href = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].io.ktor.resources.href_vs4ohm$;
  var serializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.serializer_saj79j$;
  var KSerializer = _.$$importsForInline$$['ktor-ktor-resources-js-legacy'].$$importsForInline$$['kotlinx-serialization-kotlinx-serialization-core-js-legacy'].kotlinx.serialization.KSerializer;
  var throwCCE = Kotlin.throwCCE;
  return function(closure$resources, closure$resource, typeClosure$T, isT, closure$builder) {
  return function($receiver) {
  var T_0 = typeClosure$T;
  var resourcesFormat = closure$resources.resourcesFormat;
  var resource = closure$resource;
  var urlBuilder = $receiver.url;
  var tmp$;
  var serializer_0 = Kotlin.isType(tmp$ = serializer(getReifiedTypeParameterKType(typeClosure$T)), KSerializer) ? tmp$ : throwCCE();
  href(resourcesFormat, serializer_0, resource, urlBuilder);
  closure$builder($receiver);
  return Unit;
};
};
});
  return function(T_0, isT, $receiver, resource, builder, continuation) {
  if (builder === void 0) 
    builder = prepareRequest$lambda;
  var resources_1 = resources($receiver);
  var $receiver_1_0 = new HttpRequestBuilder_init();
  var resourcesFormat_0 = resources_1.resourcesFormat;
  var urlBuilder_0 = $receiver_1_0.url;
  var tmp$_0;
  var serializer_0_0 = Kotlin.isType(tmp$_0 = serializer(getReifiedTypeParameterKType(T_0)), KSerializer) ? tmp$_0 : throwCCE();
  href(resourcesFormat_0, serializer_0_0, resource, urlBuilder_0);
  builder($receiver_1_0);
  Kotlin.setCoroutineResult(new HttpStatement_init($receiver_1_0, $receiver), Kotlin.coroutineReceiver());
  Kotlin.coroutineResult(Kotlin.coroutineReceiver());
  return Kotlin.coroutineResult(Kotlin.coroutineReceiver());
};
}));
  function resources($receiver) {
    var tmp$;
    tmp$ = plugin($receiver, Resources_getInstance());
    if (tmp$ == null) {
      throw IllegalStateException_init('Resources plugin is not installed');
    }
    return tmp$;
  }
  var package$io = _.io || (_.io = {});
  var package$ktor = package$io.ktor || (package$io.ktor = {});
  var package$client = package$ktor.client || (package$ktor.client = {});
  var package$plugins = package$client.plugins || (package$client.plugins = {});
  var package$resources = package$plugins.resources || (package$plugins.resources = {});
  Object.defineProperty(package$resources, 'Resources', {
  get: Resources_getInstance});
  $$importsForInline$$['ktor-ktor-client-core-js-legacy'] = $module$ktor_ktor_client_core_js_legacy;
  $$importsForInline$$['ktor-ktor-resources-js-legacy'] = $module$ktor_ktor_resources_js_legacy;
  package$resources.resources_ejcypf$ = resources;
  $$importsForInline$$['ktor-ktor-client-resources-js-legacy'] = _;
  Resources_0.prototype.prepare_oh3mgy$ = HttpClientPlugin.prototype.prepare_oh3mgy$;
  Kotlin.defineModule('ktor-ktor-client-resources-js-legacy', _);
  return _;
}));
